commit:     836651b8b9983f9328aa1c35a104d74b4443f9c6
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 23 08:59:47 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Thu Jun 23 11:23:25 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=836651b8

Revert "app-misc/wyrd: Remove := slot op from || dep, #586304"

This reverts commit 09756db2fb6945d1b767b68f4017e6f1d4e6b66a.

This commit is wrong in several aspects:
  - Such changes should come with a revbump
  - Removing := deps causes packages not to be rebuilt on upgrades, causing
    barely understandable build failures when upgrading, later on.
    Thanks to this commit, people that have installed those packages will
    likely experience those failures with the upcoming ocaml 4.03 unmask.
  - This is a non maintainer commit where no discussion at all happened with the
    maintainers during the 3 days between bug report and mass commit.
    Such discussion could have prevented the above mentioned breakage.

Proper fix is to drop the backward compatibility part of the || () dep. This fix
was slowly moving forward whenever possible and noticed. Main blocker for this 
is
bug #463018 which requires taking extra care for not breaking the stable tree
nor needlessly preventing future stabilization of packages.

 app-misc/wyrd/wyrd-1.4.6.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/app-misc/wyrd/wyrd-1.4.6.ebuild b/app-misc/wyrd/wyrd-1.4.6.ebuild
index 660a822..a6f5789 100644
--- a/app-misc/wyrd/wyrd-1.4.6.ebuild
+++ b/app-misc/wyrd/wyrd-1.4.6.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -16,7 +16,7 @@ IUSE="unicode"
 RDEPEND="
        sys-libs/ncurses[unicode?]
        >=app-misc/remind-03.01
-       || ( dev-ml/camlp4 <dev-lang/ocaml-4.02.0 )
+       || ( dev-ml/camlp4:= <dev-lang/ocaml-4.02.0 )
 "
 DEPEND="${RDEPEND}
        >=dev-lang/ocaml-3.08

Reply via email to